/* 
 * imageviewer.c - Lunch program gpicview and control it 
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
*/

#ifndef IMAGEVIEWER_H
#define IMAGEVIEWER_H

/* command viewer */
int viewer_start();	/* initialize viewer */
int viewer_end();	/* ending viewer */
int viewer_quit();	/* quit program viewer */
int viewer_openPhoto(const char *name);	/* open photo and start programm viewer */

/* command mode normal */
int viewer_nextPhoto();
int viewer_prevPhoto();
int viewer_rotatePhotoL();
int viewer_rotatePhotoR();
int viewer_toggleSlideshow();
int viewer_toggleFullscreen();

/* command mode zoom */
int viewer_zoomIn();
int viewer_zoomOut();
int viewer_zoomDefault();
int viewer_mouveStart();
int viewer_mouveEnd();
int viewer_mouve(int x,int y);

#endif

