/*
 * lbcs.c - LinuxBlueControl server side library
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * All I/O socket call are blocking
*/

/* include all headers */

#ifndef LINUXBLUECONTROLL_H
#define LINUXBLUECONTROLL_H

#include "util/sympleLinkedList.h"
#include "file_browser/filebrowser.h"
#include "imageviewer/imageviewer.h"
#include "mouse/mouse.h"
#include "player/vlcrc.h"
#include "player/command.h"
#include "system/systemControll.h"

int init_lbcs();
int free_lbcs();
#endif

