
/*
 * remote_device.c - Function for register the service whit sdp
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
*/

#ifndef REMOTE_DEVICE_H
#define REMOTE_DEVICE_H

struct remote_device{
	int num_dev;
	char **name;
	inquiry_info *dev;
//	service_t *service;
}remote_dev;

void print_result();
int scan();
void search_service_dev_id(int dev);
void connect_whit_proto(int dev,int proto,int port);

void register_service();
void close_sdp_session();

#endif

