
/*
 * rfcomm_util.c - Utility functions for manipulate the rfcomm connection
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
*/

#ifndef RFCOMM_UTIL_H
#define RFCOMM_UTIL_H

#include <bluetooth/bluetooth.h>
#include <bluetooth/rfcomm.h>

int rfcomm_connect(bdaddr_t *laddr, bdaddr_t *raddr, uint port);
int rfcomm_accept();
void rfcomm_close(int sock);

#endif

