/*
/*
 * constant_msg.h - Some constants
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * THIS HEADER FILE IS INCOMPLETE
 * in working for implementing a standard communication protocol
 *
 * common constant messages fields
 * reserved typeM are: 
 * 0xFF - 0x01 - 0x02 - 0x80 - 0x0F
 *
*/

#ifndef CONSTANT_MSG_H
#define CONSTANT_MSG_H

#define FIELD_NOT_SET	0x00	/* all field not used can set whit this macro */

/* error */
#define TYPE_ERROR		0xFF	/* typeM */
#define ERROR_UNKNOW		0x01	/* not know type of error */
#define ERROR_INVALID_MSG	0x02	/* received invalid message */
#define ERROR_SERVICE_NOT_AVIABLE 0x03	/* request a service not aviable */
#define ERROR_UNKNOW_COMMAND	0x04	/* unknow type command */

/* ack */
#define TYPE_ACK	0x01	/* msg received */

/* request */
#define TYPE_REQUEST	0x02	/* send a request */
#define REQ_RESEND		0x01

/* response */
#define TYPE_RESPONSE	0x03	/* response to a request */
#define RESPONSE_NMSG		0x01	/* response data contain how msg require to send */
#define RESPONSE_DATA	0x02	/* the response contain data */

/* ... */

/* change state typeM */
#define TYPE_STATE_CHANGE	0x80
/* change state typeL */
#define STATE_START	0x01
#define STATE_STOP	0x02
#define STATE_PAUSE	0x03
#define STATE_RESUME	0x04

#endif

